All Vulnerability Reports

CVE-2020-5412: Hystrix Dashboard Proxy In spring-cloud-netflix-hystrix-dashboard


Severity

High

Vendor

Spring by VMware

Description

Spring Cloud Netflix, versions 2.2.x prior to 2.2.4, versions 2.1.x prior to 2.1.6, and older unsupported versions allow applications to use the Hystrix Dashboard proxy.stream endpoint to make requests to any server reachable by the server hosting the dashboard. A malicious user, or attacker, can send a request to other servers that should not be exposed publicly.

Affected VMware Products and Versions

Severity is high unless otherwise noted.

  • Spring Cloud Netflix
    • 2.2.0 to 2.2.3
    • 2.1.0 to 2.1.5
    • Older unsupported versions are also affected
Mitigation

Users of affected versions should apply the mitigation below. There are no other mitigation steps necessary. Note that Hystrix Dashboard in spring-cloud-netflix should only be available on internal networks to clients that require it and it should be secured with Spring Security. This limits exposure to this vulnerability to those with internal network access and those users with proper authentication.

  • Spring Cloud Netflix
    • 2.2.4
    • 2.1.6
    • Older versions should upgrade to a supported branch
Credit

This issue was identified and responsibly reported by Vern (vernhk@qq.com from PingAn Galaxy Lab).

References
History

2020-08-04: Initial vulnerability report published.